This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 576560 - Software updater fails - component pirut
Software updater fails - component pirut
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.6
All Linux
low Severity high
: rc
: ---
Assigned To: James Antill
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 09:04 EDT by Robert M. Opalko
Modified: 2013-03-14 15:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:17:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Crashfile from software updater (1.56 KB, text/plain)
2010-03-24 09:04 EDT, Robert M. Opalko
no flags Details

  None (edit)
Description Robert M. Opalko 2010-03-24 09:04:30 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert M. Opalko 2010-03-24 09:04:57 EDT
Created attachment 402299 [details]
Crashfile from software updater
Comment 2 Harald Hoyer 2010-03-24 09:15:43 EDT
Component: pirut
Summary: TB640f79e5 rhnplugin.py:313:_getFile:RepoError: failed to retrieve repodata/updateinfo.xml.gz from rhel-x86_64-server-5
error was [Errno -1] Metadata file does not match checksum

Traceback (most recent call last):
  File "/usr/sbin/pup", line 617, in ?
    main()
  File "/usr/sbin/pup", line 613, in main
    pup.run()
  File "/usr/sbin/pup", line 451, in run
    self.doRefresh()
  File "/usr/sbin/pup", line 291, in doRefresh
    self.populateUpdates()
  File "/usr/sbin/pup", line 347, in populateUpdates
    self.updateMetadata.add(repo)
  File "/usr/lib/python2.4/site-packages/yum/update_md.py", line 367, in add
    md = obj.retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1484, in retrieveMD
    return self._retrieveMD(mdtype)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 1524, in _retrieveMD
    cache=self.http_caching == 'all')
  File "/usr/lib/yum-plugins/rhnplugin.py", line 313, in _getFile
    raise yum.Errors.RepoError, \
RepoError: failed to retrieve repodata/updateinfo.xml.gz from rhel-x86_64-server-5
error was [Errno -1] Metadata file does not match checksum

Local variables in innermost frame:
e: [Errno -1] Metadata file does not match checksum
url: None
text: rhel-x86_64-server-5/updateinfo
self: rhel-x86_64-server-5
cache: False
reget: None
relative: repodata/updateinfo.xml.gz
start: None
checkfunc: (<bound method RhnRepo.checkMD of <rhnplugin.RhnRepo object at 0x11c10d50>>, ('updateinfo',), {})
copy_local: 1
end: None
local: /var/cache/yum/rhel-x86_64-server-5/updateinfo.xml.gz
Comment 3 Harald Hoyer 2010-03-24 09:36:47 EDT
Reassigned to pirut and reassigned to pirut owner.
Comment 4 James Antill 2013-03-14 15:17:15 EDT
This should be fixed now as RHN doesn't produce this kind of problem anymore.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.